Skip to navigation

Get snapshot details

Returns details of a specific snapshot

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
Snapshot ID

Response

Snapshot details
idstringformat: "uuid"
Unique identifier of the snapshot
namestring
Name of the snapshot
sizeGbinteger
Size of the snapshot in GB
statusstring
Current status of the snapshot
typeenum
Type of the snapshot, indicating whether it was taken of a root or data disk.
Allowed values:
volumeIdstringformat: "uuid"
ID of the volume the snapshot was created from, if any
regionstring
Label of the region where the snapshot is located
createdAtdatetime
When the snapshot was created
vmIdstring or nullformat: "uuid"
ID of the virtual machine the snapshot was created from, if any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error